Subject: Re: [RFC] [PATCH 0/5 V2] Huge page backed user-space stacks

From: Christoph Lameter <[email-masked]>
Date: Wed, 30 Jul 2008 14:40:21 -0500

Mel Gorman wrote:

> With Erics patch and libhugetlbfs, we can automatically back text/data[1],
> malloc[2] and stacks without source modification. Fairly soon, libhugetlbfs
> will also be able to override shmget() to add SHM_HUGETLB. That should cover
> a lot of the memory-intensive apps without source modification.

So we are quite far down the road to having a VM that supports 2 page sizes 4k and 2M?